diff --git a/src/iop/basicadj.c b/src/iop/basicadj.c
index a7bc65f99a07..96fa95cdf6b0 100644
--- a/src/iop/basicadj.c
+++ b/src/iop/basicadj.c
@@ -151,7 +151,7 @@ int default_group()
 
 int flags()
 {
-  return IOP_FLAGS_ALLOW_TILING | IOP_FLAGS_SUPPORTS_BLENDING;
+  return IOP_FLAGS_ALLOW_TILING | IOP_FLAGS_SUPPORTS_BLENDING | IOP_FLAGS_DEPRECATED;
 }
 
 int default_colorspace(dt_iop_module_t *self, dt_dev_pixelpipe_t *pipe, dt_dev_pixelpipe_iop_t *piece)
diff --git a/src/iop/vibrance.c b/src/iop/vibrance.c
index 5dafce03419d..eee5c7621b9c 100644
--- a/src/iop/vibrance.c
+++ b/src/iop/vibrance.c
@@ -70,7 +70,8 @@ const char *aliases()
 
 int flags()
 {
-  return IOP_FLAGS_INCLUDE_IN_STYLES | IOP_FLAGS_SUPPORTS_BLENDING | IOP_FLAGS_ALLOW_TILING;
+  return IOP_FLAGS_INCLUDE_IN_STYLES | IOP_FLAGS_SUPPORTS_BLENDING | IOP_FLAGS_ALLOW_TILING
+    | IOP_FLAGS_DEPRECATED;
 }
 
 int default_group()
diff --git a/src/libs/modulegroups.c b/src/libs/modulegroups.c
index eb043613669f..05610c93834f 100644
--- a/src/libs/modulegroups.c
+++ b/src/libs/modulegroups.c
@@ -1880,6 +1880,8 @@ void init_presets(dt_lib_module_t *self)
   AM("globaltonemap");
   AM("relight");
   AM("tonemap");
+  AM("vibrance");
+  AM("basicadj");
 
   dt_lib_presets_add(_(DEPRECATED_PRESET_NAME), self->plugin_name, self->version(), tx, strlen(tx), TRUE);
 
